<html>
<head>
<title>OGRE: Ogre::ParticleSystemRenderer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleSystemRenderer.html">ParticleSystemRenderer</a></div>
<h1>Ogre::ParticleSystemRenderer Class Reference</h1><!-- doxytag: class="Ogre::ParticleSystemRenderer" --><!-- doxytag: inherits="Ogre::StringInterface" -->Abstract class defining the interface required to be implemented by classes which provide rendering capability to <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ParticleSystemRenderer:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ParticleSystemRenderer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#18d83b417a606c9d40f87fffe003ef2a">ParticleSystemRenderer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#18d83b417a606c9d40f87fffe003ef2a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#cedd9af6338bc40603a571333be5f5f9">~ParticleSystemRenderer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor.  <a href="#cedd9af6338bc40603a571333be5f5f9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#82a2512365fd27ffcd1b597751491547">getType</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the type of this renderer - must be implemented by subclasses.  <a href="#82a2512365fd27ffcd1b597751491547"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#b02375a9eeed63ea14f9861c87998266">_updateRenderQueue</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;currentParticles, bool cullIndividually)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#94d43799a38e70fbed4cd53cf0bfdb53" title="Overridden from MovableObject.">ParticleSystem::_updateRenderQueue</a>.  <a href="#b02375a9eeed63ea14f9861c87998266"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#cef7b4bfb05626da291588d55f768cc9">_setMaterial</a> (<a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the material this renderer must use; called by <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#cef7b4bfb05626da291588d55f768cc9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#36ec310fb97f85ed7ca1d5176024bfcc">_notifyCurrentCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#2a51ddf360d8c36cab0e3b636757af5c" title="Overridden from MovableObject.">ParticleSystem::_notifyCurrentCamera</a>.  <a href="#36ec310fb97f85ed7ca1d5176024bfcc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a77068e24ca3ff941e5608f841eee433">_notifyAttached</a> (<a class="el" href="classOgre_1_1Node.html">Node</a> *parent, bool isTagPoint=false)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#2937e606da2beda93f8b65695de90d0b" title="Overridden from MovableObject.">ParticleSystem::_notifyAttached</a>.  <a href="#a77068e24ca3ff941e5608f841eee433"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#135d07c57490da7dccb849e0058c2b24">_notifyParticleRotated</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particles are rotated.  <a href="#135d07c57490da7dccb849e0058c2b24"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#7d780e51ef230c6e00e53ca6b0f0f3f6">_notifyParticleResized</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particles are resized individually.  <a href="#7d780e51ef230c6e00e53ca6b0f0f3f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#018bd2ae834c1aba8b9fa79116e67c44">_notifyParticleQuota</a> (size_t quota)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the renderer that the particle quota has changed.  <a href="#018bd2ae834c1aba8b9fa79116e67c44"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#2e0b651fd9d845b9bc70e9aaf64e5915">_notifyDefaultDimensions</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells the renderer that the particle default size has changed.  <a href="#2e0b651fd9d845b9bc70e9aaf64e5915"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ec55835fcde21e77487cfbb20f439944">_notifyParticleEmitted</a> (<a class="el" href="classOgre_1_1Particle.html">Particle</a> *particle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particle emitted.  <a href="#ec55835fcde21e77487cfbb20f439944"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#64ca1a8e9f77c857d2ffdab29fbdd598">_notifyParticleExpired</a> (<a class="el" href="classOgre_1_1Particle.html">Particle</a> *particle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particle expired.  <a href="#64ca1a8e9f77c857d2ffdab29fbdd598"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#692f2b1bf819aeb19899df090b241dd8">_notifyParticleMoved</a> (std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;currentParticles)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particles moved.  <a href="#692f2b1bf819aeb19899df090b241dd8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#9dd8a77610f129937836c371fc37e08a">_notifyParticleCleared</a> (std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;currentParticles)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Optional callback notified when particles cleared.  <a href="#9dd8a77610f129937836c371fc37e08a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#76d2732e63a02c925cca738e1d55b7e9">_createVisualData</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a> instance for attachment to a particle.  <a href="#76d2732e63a02c925cca738e1d55b7e9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ddc7a41c0c6aba115a7ca23219001690">_destroyVisualData</a> (<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *vis)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroy a <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a> instance.  <a href="#ddc7a41c0c6aba115a7ca23219001690"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#c586ecbee5141ce024ff371de137a952">setRenderQueueGroup</a> (<a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets which render queue group this renderer should target with it's output.  <a href="#c586ecbee5141ce024ff371de137a952"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#9d51542da9e252f542e9ba7d89f575c1">setKeepParticlesInLocalSpace</a> (bool keepLocal)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Setting carried over from <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#9d51542da9e252f542e9ba7d89f575c1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">SortMode</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#2b90d2d5d6b6a46e59e409c54d7dc198">_getSortMode</a> (void) const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the desired particles sort mode of this renderer.  <a href="#2b90d2d5d6b6a46e59e409c54d7dc198"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#e3e13925bde11db245f6c9bbf5031a93"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#dfedfcc90e1d602ec6fa646d4d90f17f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ce884b65b722ead9b920b9abf27bf815"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;paramList)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#e356913ccefbebc4f0119a0599a406fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#57397ce47f649e66c5654da05207df0b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#702af78cbc4869e64c369fb11c4f1eb5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#681773443d95aea05a486c5d22c15bd1"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class name for this instance to be used as a lookup (must be initialised by subclasses).  <a href="#baa2b2c02f22cff7a65ba43b4daea538"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dictionary of parameters.  <a href="#5e08eb863343f9c60f6ef9344a48075b"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class defining the interface required to be implemented by classes which provide rendering capability to <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances. 
<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00043">43</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="18d83b417a606c9d40f87fffe003ef2a"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::ParticleSystemRenderer" ref="18d83b417a606c9d40f87fffe003ef2a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParticleSystemRenderer::ParticleSystemRenderer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00047">47</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cedd9af6338bc40603a571333be5f5f9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::~ParticleSystemRenderer" ref="cedd9af6338bc40603a571333be5f5f9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ParticleSystemRenderer::~ParticleSystemRenderer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00049">49</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="82a2512365fd27ffcd1b597751491547"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getType" ref="82a2512365fd27ffcd1b597751491547" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ParticleSystemRenderer::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the type of this renderer - must be implemented by subclasses. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#1b89daa4b32673170ce1e17e58363357">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="b02375a9eeed63ea14f9861c87998266"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_updateRenderQueue" ref="b02375a9eeed63ea14f9861c87998266" args="(RenderQueue *queue, std::list&lt; Particle * &gt; &amp;currentParticles, bool cullIndividually)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_updateRenderQueue           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>currentParticles</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>cullIndividually</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#94d43799a38e70fbed4cd53cf0bfdb53" title="Overridden from MovableObject.">ParticleSystem::_updateRenderQueue</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The subclass must update the render queue using whichever <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> instance(s) it wishes. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#acfad2e32bad8e249ed9cdb1f2352c39">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="cef7b4bfb05626da291588d55f768cc9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_setMaterial" ref="cef7b4bfb05626da291588d55f768cc9" args="(MaterialPtr &amp;mat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_setMaterial           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>mat</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the material this renderer must use; called by <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a9bddaa902bcf8fee7a5a7b7e7c5d627">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="36ec310fb97f85ed7ca1d5176024bfcc"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyCurrentCamera" ref="36ec310fb97f85ed7ca1d5176024bfcc" args="(Camera *cam)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyCurrentCamera           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#2a51ddf360d8c36cab0e3b636757af5c" title="Overridden from MovableObject.">ParticleSystem::_notifyCurrentCamera</a>. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c9978c52b947f125de22a5d34cef6afa">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="a77068e24ca3ff941e5608f841eee433"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyAttached" ref="a77068e24ca3ff941e5608f841eee433" args="(Node *parent, bool isTagPoint=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyAttached           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Node.html">Node</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isTagPoint</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#2937e606da2beda93f8b65695de90d0b" title="Overridden from MovableObject.">ParticleSystem::_notifyAttached</a>. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#d2f65bee7925cb6cf0494d759527ea52">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="135d07c57490da7dccb849e0058c2b24"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleRotated" ref="135d07c57490da7dccb849e0058c2b24" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleRotated           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particles are rotated. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#2bb9126250a6ba817f47f75bd49f4d62">Ogre::BillboardParticleRenderer</a>.</p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00069">69</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7d780e51ef230c6e00e53ca6b0f0f3f6"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleResized" ref="7d780e51ef230c6e00e53ca6b0f0f3f6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleResized           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particles are resized individually. 
<p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#7157e40ae9b6a7f61fb9fab5a4da4eee">Ogre::BillboardParticleRenderer</a>.</p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00071">71</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="018bd2ae834c1aba8b9fa79116e67c44"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleQuota" ref="018bd2ae834c1aba8b9fa79116e67c44" args="(size_t quota)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleQuota           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>quota</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the renderer that the particle quota has changed. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c279c2a3702d2f1ffa6246d19df3c5c9">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e0b651fd9d845b9bc70e9aaf64e5915"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyDefaultDimensions" ref="2e0b651fd9d845b9bc70e9aaf64e5915" args="(Real width, Real height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyDefaultDimensions           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>height</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells the renderer that the particle default size has changed. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#1afd4cc34e7377e3b24ed966f14bb1e6">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="ec55835fcde21e77487cfbb20f439944"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleEmitted" ref="ec55835fcde21e77487cfbb20f439944" args="(Particle *particle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleEmitted           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&nbsp;</td>
          <td class="paramname"> <em>particle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particle emitted. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00077">77</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="64ca1a8e9f77c857d2ffdab29fbdd598"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleExpired" ref="64ca1a8e9f77c857d2ffdab29fbdd598" args="(Particle *particle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleExpired           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&nbsp;</td>
          <td class="paramname"> <em>particle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particle expired. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00079">79</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="692f2b1bf819aeb19899df090b241dd8"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleMoved" ref="692f2b1bf819aeb19899df090b241dd8" args="(std::list&lt; Particle * &gt; &amp;currentParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleMoved           </td>
          <td>(</td>
          <td class="paramtype">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>currentParticles</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particles moved. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00081">81</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9dd8a77610f129937836c371fc37e08a"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleCleared" ref="9dd8a77610f129937836c371fc37e08a" args="(std::list&lt; Particle * &gt; &amp;currentParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_notifyParticleCleared           </td>
          <td>(</td>
          <td class="paramtype">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>currentParticles</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Optional callback notified when particles cleared. 
<p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00083">83</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="76d2732e63a02c925cca738e1d55b7e9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_createVisualData" ref="76d2732e63a02c925cca738e1d55b7e9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* Ogre::ParticleSystemRenderer::_createVisualData           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a> instance for attachment to a particle. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this renderer needs additional data in each particle, then this should be held in an instance of a subclass of <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a>, and this method should be overridden to return a new instance of it. The default behaviour is to return null. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00091">91</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ddc7a41c0c6aba115a7ca23219001690"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_destroyVisualData" ref="ddc7a41c0c6aba115a7ca23219001690" args="(ParticleVisualData *vis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::_destroyVisualData           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&nbsp;</td>
          <td class="paramname"> <em>vis</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroy a <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a> instance. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this renderer needs additional data in each particle, then this should be held in an instance of a subclass of <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle...">ParticleVisualData</a>, and this method should be overridden to destroy an instance of it. The default behaviour is to do nothing. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h-source.html#l00099">99</a> of file <a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c586ecbee5141ce024ff371de137a952"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setRenderQueueGroup" ref="c586ecbee5141ce024ff371de137a952" args="(uint8 queueID)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::setRenderQueueGroup           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>queueID</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets which render queue group this renderer should target with it's output. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c57bebe2a341d9a5b0c15bb8e12aaa5a">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="9d51542da9e252f542e9ba7d89f575c1"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setKeepParticlesInLocalSpace" ref="9d51542da9e252f542e9ba7d89f575c1" args="(bool keepLocal)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleSystemRenderer::setKeepParticlesInLocalSpace           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>keepLocal</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Setting carried over from <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#958635089f1339994d75c35d0315ac62">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="2b90d2d5d6b6a46e59e409c54d7dc198"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_getSortMode" ref="2b90d2d5d6b6a46e59e409c54d7dc198" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">SortMode</a> Ogre::ParticleSystemRenderer::_getSortMode           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the desired particles sort mode of this renderer. 
<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#5648247c792e417847b2e63884ba154d">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div><p>
<a class="anchor" name="681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::createParamDictionary" ref="681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::StringInterface::createParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>className</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for creating a parameter dictionary for the class, if it does not already exist. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>className</em>&nbsp;</td><td>the name of the class using the dictionary </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00176">176</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParamDictionary" ref="e3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the parameter dictionary for this class. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00200">200</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParamDictionary" ref="3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* Ogre::StringInterface::getParamDictionary           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00213">213</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParameters" ref="dfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a>&amp; Ogre::StringInterface::getParameters           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a list of parameters valid for this object. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection...">ParameterDef</a> objects. </dd></dl>

</div>
</div><p>
<a class="anchor" name="ce884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setParameter" ref="ce884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::StringInterface::setParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to set </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00300">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="e356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setParameterList" ref="e356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::setParameterList           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>paramList</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic multiple parameter setting method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>paramList</em>&nbsp;</td><td>Name/value pair list </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParameter" ref="57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringInterface::getParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic parameter retrieval method. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the parameter to get </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00269">269</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#e47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h-source.html#l00094">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div><p>
<a class="anchor" name="702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::copyParametersTo" ref="702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::StringInterface::copyParametersTo           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&nbsp;</td>
          <td class="paramname"> <em>dest</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for copying this object's parameters to another object. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>dest</em>&nbsp;</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00300">300</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h-source.html#l00088">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::cleanupDictionary" ref="1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringInterface::cleanupDictionary           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. 
<p>
<a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. 
</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5e08eb863343f9c60f6ef9344a48075b"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::msDictionary" ref="5e08eb863343f9c60f6ef9344a48075b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#5d9132de11e12aae2de5536d6032fef9">ParamDictionaryMap</a> <a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">Ogre::StringInterface::msDictionary</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dictionary of parameters. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00161">161</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="baa2b2c02f22cff7a65ba43b4daea538"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::mParamDictName" ref="baa2b2c02f22cff7a65ba43b4daea538" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">Ogre::StringInterface::mParamDictName</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Class name for this instance to be used as a lookup (must be initialised by subclasses). 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00164">164</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleSystemRenderer_8h-source.html">OgreParticleSystemRenderer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:33 2008
</p>
</body>
</html>
